Package org.eclipse.ui.actions

# Class ScrubLocalAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.actions.BaseSelectionListenerAction
org.eclipse.ui.actions.SelectionListenerAction
org.eclipse.ui.actions.WorkspaceAction
org.eclipse.ui.actions.ScrubLocalAction

All Implemented Interfaces:
  `IAction`, `ISelectionChangedListener`

@Deprecated public class ScrubLocalAction extends WorkspaceAction
Deprecated.
This class is obsolete; there is no support in the workspace for scrubbing local content.
Standard action for scrubbing the local content in the local file system of the selected resources and all of their descendents.

This class may be instantiated; it is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID`
Deprecated.

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`ScrubLocalAction(Shell shell)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getOperationMessage()`
Deprecated.
`protected String`
`getProblemsMessage()`
Deprecated.
`protected String`
`getProblemsTitle()`
Deprecated.
`protected void`
`invokeOperation(IResource resource, IProgressMonitor monitor)`
Deprecated.
`protected boolean`
`updateSelection(IStructuredSelection s)`
Deprecated.

### Methods inherited from class org.eclipse.ui.actions.WorkspaceAction

`createOperation, getActionResources, run, runInBackground, runInBackground, runInBackground, shouldPerformResourcePruning`

### Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction

`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

### Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction

`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ID

@Deprecated public static final String ID
Deprecated.
The id of this action.

See Also:
  - Constant Field Values

## Constructor Details

### ScrubLocalAction

@Deprecated public ScrubLocalAction(Shell shell)
Deprecated.
Creates a new action.

Parameters:
  `shell` - the shell for any dialogs

## Method Details

### getOperationMessage

@Deprecated protected String getOperationMessage()
Deprecated.
Description copied from class: `WorkspaceAction`
Returns the string to display for this action's operation.

Note that this hook method is invoked in a non-UI thread.

Subclasses must implement this method.

Specified by:
  `getOperationMessage` in class `WorkspaceAction`
Returns:
  the message

### getProblemsMessage

@Deprecated protected String getProblemsMessage()
Deprecated.
Description copied from class: `WorkspaceAction`
Returns the string to display for this action's problems dialog.

The `WorkspaceAction` implementation of this method returns a vague message (localized counterpart of something like "The following problems occurred."). Subclasses may reimplement to provide something more suited to the particular action.

Overrides:
  `getProblemsMessage` in class `WorkspaceAction`
Returns:
  the problems message

### getProblemsTitle

@Deprecated protected String getProblemsTitle()
Deprecated.
Description copied from class: `WorkspaceAction`
Returns the title for this action's problems dialog.

The `WorkspaceAction` implementation of this method returns a generic title (localized counterpart of "Problems"). Subclasses may reimplement to provide something more suited to the particular action.

Overrides:
  `getProblemsTitle` in class `WorkspaceAction`
Returns:
  the problems dialog title

### invokeOperation

@Deprecated protected void invokeOperation(IResource resource, IProgressMonitor monitor) throws CoreException
Deprecated.
Description copied from class: `WorkspaceAction`
Performs this action's operation on each of the selected resources, reporting progress to, and fielding cancel requests from, the given progress monitor.

Note that this method is invoked in a non-UI thread.

Subclasses must implement this method.

Overrides:
  `invokeOperation` in class `WorkspaceAction`
Parameters:
  `resource` - one of the selected resources
  `monitor` - a progress monitor
Throws:
  `CoreException` - if the operation fails

### updateSelection

@Deprecated protected boolean updateSelection(IStructuredSelection s)
Deprecated.
The `ScrubLocalAction` implementation of this `SelectionListenerAction` method ensures that this action is disabled if any of the selections are not resources.

Overrides:
  `updateSelection` in class `WorkspaceAction`
Parameters:
  `s` - the new selection
Returns:
  `true` if the action should be enabled for this selection, and `false` otherwise